Get analytics job history

Return the history of the specified analytics job that was scheduled and run in the Job Management UI. This includes PySpark, Python, and BigQuery jobs. For information about Job Management, see "Manage Jobs".

GET https://api.liveramp.com/analytics-environment/v1/analytics-job-histories

Request example

curl --location 
'https://api-staging.liveramp.com/analytics-environment/v1/analytics-job-histories?scheduleJobId=${jobId}&limit=2&after=0' \
--header 'Tenant-ID: ${tenantId}' \
--header 'Authorization: Bearer ${access_token}'

Response example

{
 "analyticsJobHistories": [
   {
     "id": 115643,
     "tenantId": 666134,
     "runId": "projects/300609752324/locations/europe/transferConfigs/672e6fe5-0000-223e-ba4f-582429bcd468/runs/670496e3-0000-218b-beed-f4030438a7f8",
     "startTime": "2024-09-19 07:50:02",
     "elapsedTime": 74000,
     "status": "SUCCEEDED",
     "error_status": ""
   },
   {
     "id": 115635,
     "tenantId": 666134,
     "runId": "projects/300609752324/locations/europe/transferConfigs/672e6fe5-0000-223e-ba4f-582429bcd468/runs/67186b3f-0000-2b27-9e24-089e082f56b8",
     "startTime": "2024-09-19 06:50:00",
     "elapsedTime": 75000,
     "status": "SUCCEEDED",
     "error_status": ""
   }
 ],
 "_pagination": {
   "after": {
     "present": true
   },
   "total": 20
 }
}